Jack2: Jack::JackPortAudioAdapter Class Reference

Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackPortAudioAdapter Class Reference

Audio adapter using PortAudio API. More...

`#include <JackPortAudioAdapter.h>`

Inheritance diagram for Jack::JackPortAudioAdapter:

## Public Member Functions
| JackPortAudioAdapter (jack_nframes_t buffer_size, jack_nframes_t sample_rate, const JSList *params)
int | Open ()
int | Close ()
int | SetSampleRate (jack_nframes_t sample_rate)
int | SetBufferSize (jack_nframes_t buffer_size)
Public Member Functions inherited from Jack::JackAudioAdapterInterface
| JackAudioAdapterInterface (jack_nframes_t buffer_size, jack_nframes_t sample_rate, jack_nframes_t ring_buffer_size=DEFAULT_ADAPTATIVE_SIZE)
| JackAudioAdapterInterface (jack_nframes_t host_buffer_size, jack_nframes_t host_sample_rate, jack_nframes_t adapted_buffer_size, jack_nframes_t adapted_sample_rate, jack_nframes_t ring_buffer_size=DEFAULT_ADAPTATIVE_SIZE)
virtual void | Reset ()
virtual void | Create ()
virtual void | Destroy ()
virtual int | SetHostBufferSize (jack_nframes_t buffer_size)
virtual int | SetAdaptedBufferSize (jack_nframes_t buffer_size)
virtual int | SetHostSampleRate (jack_nframes_t sample_rate)
virtual int | SetAdaptedSampleRate (jack_nframes_t sample_rate)
void | SetInputs (int inputs)
void | SetOutputs (int outputs)
int | GetInputs ()
int | GetOutputs ()
virtual int | GetInputLatency (int port_index)
virtual int | GetOutputLatency (int port_index)
int | PushAndPull (jack_default_audio_sample_t **inputBuffer, jack_default_audio_sample_t **outputBuffer, unsigned int frames)
int | PullAndPush (jack_default_audio_sample_t **inputBuffer, jack_default_audio_sample_t **outputBuffer, unsigned int frames)

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackAudioAdapterInterface
void | ResetRingBuffers ()
void | AdaptRingBufferSize ()
void | GrowRingBufferSize ()
Protected Attributes inherited from Jack::JackAudioAdapterInterface
int | fCaptureChannels
int | fPlaybackChannels
jack_nframes_t | fHostBufferSize
jack_nframes_t | fHostSampleRate
jack_nframes_t | fAdaptedBufferSize
jack_nframes_t | fAdaptedSampleRate
JackPIControler | fPIControler
JackResampler ** | fCaptureRingBuffer
JackResampler ** | fPlaybackRingBuffer
unsigned int | fQuality
unsigned int | fRingbufferCurSize
jack_time_t | fPullAndPushTime
bool | fRunning
bool | fAdaptative

## Detailed Description

Audio adapter using PortAudio API.

Definition at line 34 of file JackPortAudioAdapter.h.

The documentation for this class was generated from the following files:

- JackPortAudioAdapter.h
- JackPortAudioAdapter.cpp